#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=nilore3.42_base.ps
projection=-JM16.0c+
region=-R72.7/73.9/32.7/34.2
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map nilore3.42' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    33.871    73.041
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    33.307    73.370
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    33.621    73.249
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    33.463    73.583
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    32.937    73.091
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    33.449    73.328
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    33.944    72.849
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    33.179    73.426
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    33.851    72.971
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    33.100    73.576
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    33.289    73.241
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    32.993    73.090
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    33.300    73.346
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    33.317    73.340
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    33.862    72.962
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    33.760    73.344
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    33.148    73.767
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    33.134    73.717
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    34.010    73.755
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    33.186    73.669
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    33.700    73.464
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    33.799    73.321
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    33.822    72.845
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
    32.841    73.157
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
    33.051    73.763
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
    33.463    73.425
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
    33.907    73.132
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.894    73.059
    33.871    73.041
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.890    73.200
    33.871    73.041
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.308    73.376
    33.307    73.370
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.260    73.430
    33.307    73.370
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.633    73.256
    33.621    73.249
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.597    73.267
    33.621    73.249
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.474    73.592
    33.463    73.583
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.396    73.631
    33.463    73.583
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.949    73.103
    32.937    73.091
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.822    73.209
    32.937    73.091
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.462    73.338
    33.449    73.328
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.490    73.505
    33.449    73.328
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.954    72.857
    33.944    72.849
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.836    72.902
    33.944    72.849
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.182    73.428
    33.179    73.426
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.144    73.582
    33.179    73.426
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.850    72.971
    33.851    72.971
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.965    73.076
    33.851    72.971
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.100    73.573
    33.100    73.576
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.129    73.799
    33.100    73.576
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.291    73.245
    33.289    73.241
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.190    73.291
    33.289    73.241
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.005    73.098
    32.993    73.090
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.845    73.130
    32.993    73.090
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.308    73.350
    33.300    73.346
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.392    73.549
    33.300    73.346
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.320    73.344
    33.317    73.340
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.281    73.408
    33.317    73.340
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.870    72.972
    33.862    72.962
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.931    73.270
    33.862    72.962
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.773    73.356
    33.760    73.344
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.823    73.368
    33.760    73.344
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.160    73.774
    33.148    73.767
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.062    73.830
    33.148    73.767
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.142    73.720
    33.134    73.717
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.072    73.709
    33.134    73.717
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.021    73.771
    34.010    73.755
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.993    73.829
    34.010    73.755
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.215    73.712
    33.186    73.669
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.091    73.799
    33.186    73.669
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.709    73.472
    33.700    73.464
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.661    73.563
    33.700    73.464
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.812    73.340
    33.799    73.321
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.856    73.386
    33.799    73.321
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.833    72.854
    33.822    72.845
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.826    72.884
    33.822    72.845
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    32.853    73.165
    32.841    73.157
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    32.834    73.124
    32.841    73.157
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.061    73.768
    33.051    73.763
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.217    73.697
    33.051    73.763
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.475    73.436
    33.463    73.425
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.198    73.338
    33.463    73.425
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    33.918    73.140
    33.907    73.132
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    33.856    73.193
    33.907    73.132
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    33.871    73.041     5.859     3.255     3.534
    33.307    73.370    79.160     4.123     4.866
    33.621    73.249   -60.862     2.042     2.854
    33.463    73.583   -41.034     1.970     3.292
    32.937    73.091   -63.438     2.113     4.404
    33.449    73.328   -54.768     1.856     3.533
    33.944    72.849   -60.104     1.422     2.974
    33.179    73.426   -57.552     1.373     2.195
    33.851    72.971    31.371     4.671     6.461
    33.100    73.576   -68.644     2.007     3.374
    33.289    73.241   -58.889     1.171     2.043
    32.993    73.090   -56.013     1.078     2.230
    33.300    73.346   -29.822     1.638     3.041
    33.317    73.340   -48.320     1.221     1.876
    33.862    72.962   -85.037     3.518     4.261
    33.760    73.344   -26.155     2.086     4.604
    33.148    73.767   -35.694     1.124     1.611
    33.134    73.717   -29.399     1.483     2.266
    34.010    73.755   -29.653     1.546     2.482
    33.186    73.669   -37.617     2.229     3.437
    33.700    73.464   -31.834     1.537     3.212
    33.799    73.321   -14.923     2.569     7.147
    33.822    72.845   -54.492     1.007     1.730
    32.841    73.157   -37.451     2.030     4.311
    33.051    73.763   -29.072     1.378     5.209
    33.463    73.425   -39.282     1.705     6.475
    33.907    73.132   -65.550     1.549     2.197
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    32.745    72.759   -19.740     3.251     3.952
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    32.745    72.782   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    32.745    72.759     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    32.745    72.759     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    32.700    72.759   5 km
END
