#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=nilore3.42_dcal.ps
projection=-JM16.0c+
region=-R70.0/76.6/30.4/36.4
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration nilore3.42' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.650    73.252
    33.307    73.370
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.147    73.750
    33.621    73.249
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.937    71.434
    33.621    73.249
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.150    71.417
    33.621    73.249
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.147    73.750
    33.463    73.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.650    73.252
    33.463    73.583
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    32.937    73.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.794    71.743
    32.937    73.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    32.937    73.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.980    71.424
    32.937    73.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.449    73.328
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.100    74.850
    33.449    73.328
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.449    73.328
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.717    74.900
    33.449    73.328
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.937    71.434
    33.449    73.328
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.980    71.424
    33.449    73.328
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.944    72.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.179    73.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.650    73.252
    33.179    73.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.921    72.672
    33.179    73.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.179    73.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.794    71.743
    33.179    73.426
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.851    72.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.650    73.252
    33.851    72.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.851    72.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.851    72.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.794    71.743
    33.851    72.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.100    73.576
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.717    74.900
    33.100    73.576
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.717    74.900
    33.100    73.576
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.921    72.672
    33.100    73.576
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.100    73.576
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.100    73.576
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.794    71.743
    33.100    73.576
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.650    73.252
    33.289    73.241
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.650    73.252
    33.289    73.241
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.289    73.241
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.289    73.241
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.794    71.743
    33.289    73.241
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.921    72.672
    33.289    73.241
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.650    73.252
    32.993    73.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    32.993    73.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.794    71.743
    32.993    73.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    32.993    73.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.717    74.900
    32.993    73.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.717    74.900
    32.993    73.090
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.300    73.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.300    73.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.794    71.743
    33.300    73.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.921    72.672
    33.300    73.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.317    73.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.317    73.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.794    71.743
    33.317    73.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.921    72.672
    33.317    73.340
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.862    72.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.862    72.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.794    71.743
    33.862    72.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.760    73.344
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.794    71.743
    33.760    73.344
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.148    73.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.100    74.850
    33.148    73.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.148    73.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.134    73.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.717    74.900
    33.134    73.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.921    72.672
    33.134    73.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.794    71.743
    33.134    73.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.134    73.717
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    34.010    73.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    34.010    73.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.717    74.900
    34.010    73.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    34.010    73.755
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.186    73.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.186    73.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.717    74.900
    33.186    73.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.717    74.900
    33.186    73.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    31.921    72.672
    33.186    73.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.186    73.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.794    71.743
    33.186    73.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.700    73.464
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.700    73.464
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.799    73.321
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.799    73.321
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.822    72.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.794    71.743
    33.822    72.845
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.650    73.252
    32.841    73.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.650    73.252
    32.841    73.157
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.650    73.252
    33.051    73.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.650    73.252
    33.463    73.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.650    73.252
    33.463    73.425
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.658    73.264
    33.907    73.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.650    73.252
    33.907    73.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.650    73.252
    33.907    73.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.824    71.909
    33.907    73.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.794    71.743
    33.907    73.132
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    33.650    73.252     0.300
    33.147    73.750     0.300
    33.937    71.434     0.300
    34.150    71.417     0.300
    33.658    73.264     0.300
    32.794    71.743     0.300
    33.824    71.909     0.300
    32.980    71.424     0.300
    34.100    74.850     0.300
    32.717    74.900     0.300
    31.921    72.672     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.871    73.041     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.307    73.370     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.621    73.249     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.463    73.583     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.937    73.091     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.449    73.328     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.944    72.849     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.179    73.426     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.851    72.971     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.100    73.576     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.289    73.241     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.993    73.090     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.300    73.346     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.317    73.340     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.862    72.962     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.760    73.344     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.148    73.767     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.134    73.717     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.010    73.755     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.186    73.669     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.700    73.464     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.799    73.321     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.822    72.845     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    32.841    73.157     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.051    73.763     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.463    73.425     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    33.907    73.132     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    33.456    73.327     0.000   222.000   222.000
    33.456    73.327     0.000   444.000   444.000
END
