#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=nilore3.42_epa_1.ps
projection=-JM16.0c+
region=-R54.7/91.9/17.7/49.2
gmt psbasemap $region $projection -Bxa5.0f1.0 -Bya5.0f1.0 -BWeSn+t'Empirical Path Anomalies: Pn nilore3.42' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/ETOPO/etopo2.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -M -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt psxy -: -R $projection -Sa -Wthicker,red -Gred -O -K << END >> $psfile
    33.456    73.327     0.300
END
# Station symbols
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    31.550    74.333     0.073
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.000    70.317     0.543
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.558    68.775     0.341
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.683    77.217    -0.142
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    30.188    66.950     0.131
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.833    74.617     0.947
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.233    77.225     0.675
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    37.948    58.108     0.044
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    23.795    85.886    -0.241
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.530    73.849    -0.194
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.150    71.417     0.120
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    34.541    69.043     0.371
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.483    78.400     0.788
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.483    71.533     0.940
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    37.900    69.780     0.441
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    30.323    78.056    -0.044
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.755    72.360     0.715
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    39.673    66.990    -0.041
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.433    76.000     0.442
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.329    69.286     0.175
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    24.933    67.143    -0.413
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    36.308    59.472     0.235
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    37.950    58.350     0.051
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.028    56.270     0.217
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.417    76.417     0.263
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    25.300    83.017    -0.085
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    33.658    73.264    -0.053
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    32.794    71.743    -0.067
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    33.824    71.909    -0.070
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    32.300    70.807    -0.079
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.744    70.203     0.186
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    23.254    69.654    -0.544
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.609    85.106    -0.320
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.790    85.280    -0.454
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.571    85.409    -0.490
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    39.517    75.973     1.202
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    26.479    74.643    -0.367
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.821    87.695     0.108
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    31.921    72.672     0.001
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.003    84.637    -0.271
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.911    85.879    -0.534
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.896    72.813    -0.351
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.700    91.150    -0.355
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.100    82.990    -0.267
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.770    83.600    -0.192
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.660    86.190    -0.486
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.350    87.710    -0.661
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.417    78.553    -0.243
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    31.867    76.333    -0.292
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.550    80.217    -0.196
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    29.480    80.740     0.010
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.180    80.630    -0.083
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    29.470    81.200     0.116
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.420    81.670    -0.100
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.350    83.760    -0.225
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    26.950    86.600    -0.622
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    26.860    87.390    -0.667
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.542    75.967     0.170
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.953    75.950     0.102
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    31.500    76.970     0.012
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    29.962    76.821     0.079
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    29.033    76.414    -0.183
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    28.688    76.939    -0.049
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.144    76.489    -0.252
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.482    77.127    -0.075
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.250    77.083    -0.092
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    29.506    78.754     0.141
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    29.450    80.246    -0.049
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.638    74.494     0.583
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    23.241    77.424    -0.406
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.272    76.947     0.435
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    20.703    77.015    -0.006
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    22.129    82.132    -0.683
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    18.416    76.560    -0.824
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    17.308    74.183    -0.318
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.128    77.167     0.122
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    27.230    77.944     0.006
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.103    70.511     0.309
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    46.794    82.290     0.048
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    46.794    82.290     0.023
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    32.433    75.717     0.045
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    31.533    78.250     0.147
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.131    73.694     0.566
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.078    75.250     0.558
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.228    74.513     0.610
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.246    76.242     0.747
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.662    73.777     0.686
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.656    74.948     0.847
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.921    75.597     0.608
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.267    74.500     0.711
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.103    70.511     0.335
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    28.074    75.806    -0.160
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    30.556    79.558    -0.008
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.999    74.751     0.637
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    21.150    79.050    -0.528
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    22.610    58.970     0.081
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    27.577    85.396    -0.479
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    32.250    76.300     0.215
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.217    76.966     0.641
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    43.327    79.485     0.444
END
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
    37.930    58.117    -0.052
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    46.808    81.977     0.081
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    23.239    58.631    -0.083
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    38.657    69.158     0.125
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    40.058    70.818     0.510
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.324    72.982     0.264
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    41.729    77.805     0.450
END
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    42.490    75.940     0.412
END
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
    37.930    58.117    -0.166
END
gmt pstext -: -R $projection -F+f5p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    31.550    74.333   LAH  
    39.000    70.317   GAR  
    38.558    68.775   DSH  
    28.683    77.217   NDI  
    30.188    66.950   QUE  
    42.833    74.617   FRU  
    43.233    77.225   AAB  
    37.948    58.108   VAN  
    23.795    85.886   BOK  
    18.530    73.849   POO  
    34.150    71.417   WRS  
    34.541    69.043   KBL  
    42.483    78.400   PRZ  
    37.483    71.533   KHO  
    37.900    69.780   KUL  
    30.323    78.056   DDI  
    40.755    72.360   ANR  
    39.673    66.990   SAM  
    41.433    76.000   NRN  
    41.329    69.286   TAS  
    24.933    67.143   KAR  
    36.308    59.472   MAIO 
    37.950    58.350   ASH  
    39.028    56.270   KAT  
    31.417    76.417   BHK  
    25.300    83.017   VAR  
    33.658    73.264   CHCP 
    32.794    71.743   THW  
    33.824    71.909   CEP  
    32.300    70.807   SBDP 
    31.744    70.203   DRP  
    23.254    69.654   BHJ  
    27.609    85.106   DMN  
    27.790    85.280   KKN  
    27.571    85.409   PKI  
    39.517    75.973   KSH  
    26.479    74.643   AJM  
    43.821    87.695   WMQ  
    31.921    72.672   SARP 
    28.003    84.637   GKN  
    27.911    85.879   GUN  
    18.896    72.813   BOM  
    29.700    91.150   LSA  
    28.100    82.990   PYUN 
    27.770    83.600   KOLN 
    27.660    86.190   JIRN 
    27.350    87.710   TAPN 
    17.417    78.553   HYB  
    31.867    76.333   JWA  
    29.550    80.217   PTH  
    29.480    80.740   GJRN 
    29.180    80.630   GHAN 
    29.470    81.200   BAYN 
    28.420    81.670   HARN 
    28.350    83.760   DANN 
    26.950    86.600   RAMN 
    26.860    87.390   ODAN 
    32.542    75.967   DLH  
    31.953    75.950   PONG 
    31.500    76.970   SDNR 
    29.962    76.821   KKR  
    29.033    76.414   RTK  
    28.688    76.939   BHGR 
    28.144    76.489   KUDL 
    28.482    77.127   AYAN 
    28.250    77.083   SONA 
    29.506    78.754   KALG 
    29.450    80.246   LGTI 
    42.638    74.494   AAK  
    23.241    77.424   BHPL 
    43.272    76.947   AAA  
    20.703    77.015   AKL  
    22.129    82.132   BLSP 
    18.416    76.560   LATR 
    17.308    74.183   KAD  
    31.128    77.167   SMLA 
    27.230    77.944   AGRA 
    43.103    70.511   KK31 
    46.794    82.290   MKAR 
    46.794    82.290   MK31 
    32.433    75.717   THN  
    31.533    78.250   KLP  
    42.131    73.694   AML  
    42.078    75.250   KZA  
    42.228    74.513   UCH  
    42.246    76.242   ULHL 
    42.662    73.777   EKS2 
    42.656    74.948   KBK  
    42.921    75.597   TKM2 
    43.267    74.500   USP  
    43.103    70.511   KKAR 
    28.074    75.806   KHET 
    30.556    79.558   JOSI 
    42.999    74.751   CHMS 
    21.150    79.050   NGP  
    22.610    58.970   WBK  
    27.577    85.396   PKIN 
    32.250    76.300   DHRM 
    43.217    76.966   KNDC 
    43.327    79.485   PDGK 
    37.930    58.117   GEYT 
    46.808    81.977   MAKZ 
    23.239    58.631   WSAR 
    38.657    69.158   CHGR 
    40.058    70.818   BTK  
    41.324    72.982   ARSB 
    41.729    77.805   TARG 
    42.490    75.940   BOOM 
    37.930    58.117   GYA0B
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O -K << END >> $psfile
    21.892    56.477   Closed circles: stations used in direct calibration
END
gmt psxy -: -R $projection -Sc -Wthick,blue  -O -K << END >> $psfile
    19.942    57.872    -0.500
    19.942    59.867    -0.250
END
gmt psxy -: -R $projection -Sc -Wthick,green  -K -O << END >> $psfile
    19.942    61.577     0.100
END
gmt psxy -: -R $projection -Sc -Wthick,red  -K -O << END >> $psfile
    19.942    63.572     0.250
    19.942    65.567     0.500
END
gmt pstext -: -R $projection -F+f8p,Helvetica,black+a0.+jBL -O << END >> $psfile
    20.947    56.472   Station Residuals (sec.)
    18.442    56.972   -2
    18.442    59.072   -1
    18.442    61.322   0
    18.442    62.747   +1
    18.442    64.772   +2
END
